Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Interface WQLParserConstants

All Known Implementing Classes:
  WQLParserTokenManager, WQLParser

public interface WQLParserConstants

Field Summary
`static int` | `and`
`static int` | `approximateNumericLiteral`
`static int` | `asterisk`
`static int` | `characterStringLiteral`
`static int` | `columnidentifier`
`static int` | `comma`
`static int` | `DEFAULT`
`static int` | `digit`
`static int` | `EOF`
`static int` | `equalsOperator`
`static int` | `escape`
`static int` | `EXPONENT`
`static int` | `FORMAL_COMMENT`
`static int` | `from`
`static int` | `greaterThanOperator`
`static int` | `greaterThanOrEqualsOperator`
`static int` | `identifier`
`static int` | `isa`
`static int` | `leftParen`
`static int` | `lessThanOperator`
`static int` | `lessThanOrEqualsOperator`
`static int` | `letter`
`static int` | `like`
`static int` | `minusSign`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `not`
`static int` | `notEqualsOperator`
`static int` | `or`
`static int` | `period`
`static int` | `plusSign`
`static int` | `rightParen`
`static int` | `select`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `solidus`
`static java.lang.String[]` | `tokenImage`
`static int` | `unsignedInteger`
`static int` | `where`

Field Detail

### EOF

    public static final int EOF

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

### FORMAL_COMMENT

    public static final int FORMAL_COMMENT

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

### notEqualsOperator

    public static final int notEqualsOperator

### lessThanOrEqualsOperator

    public static final int lessThanOrEqualsOperator

### lessThanOperator

    public static final int lessThanOperator

### equalsOperator

    public static final int equalsOperator

### greaterThanOrEqualsOperator

    public static final int greaterThanOrEqualsOperator

### greaterThanOperator

    public static final int greaterThanOperator

### plusSign

    public static final int plusSign

### minusSign

    public static final int minusSign

### asterisk

    public static final int asterisk

### solidus

    public static final int solidus

### leftParen

    public static final int leftParen

### rightParen

    public static final int rightParen

### period

    public static final int period

### comma

    public static final int comma

### or

    public static final int or

### and

    public static final int and

### not

    public static final int not

### select

    public static final int select

### from

    public static final int from

### where

    public static final int where

### like

    public static final int like

### escape

    public static final int escape

### isa

    public static final int isa

### approximateNumericLiteral

    public static final int approximateNumericLiteral

### EXPONENT

    public static final int EXPONENT

### unsignedInteger

    public static final int unsignedInteger

### characterStringLiteral

    public static final int characterStringLiteral

### identifier

    public static final int identifier

### columnidentifier

    public static final int columnidentifier

### letter

    public static final int letter

### digit

    public static final int digit

### DEFAULT

    public static final int DEFAULT

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD